[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDragImageListResolution.BeginDrag

Starts display of images in the resolution for a Drag and Drop operation.

## Declaration

Source position: controls.pp line 424

`public function TDragImageListResolution.BeginDrag(`
`Window: HWND;`
`X: Integer;`
`Y: Integer`
`):Boolean;`

## Arguments

`Window` |  | Window handle where images are displayed for the operation.
`X` |  | Horizontal screen position where the operation was started.
`Y` |  | Vertical screen position where the operation was started.

## Function result

True if the Drag operation was successfully started.

## Description

BeginDrag is a Boolean function used to start display of images in the resolution for a Drag and Drop operation. The return value is True if the widgetset successfully received the BeginDrag notification.

Remark: | No actions are performed in the method if the widgetset class does note successfully start the drag operation.

BeginDrag calls the DragLock method to lock the window handle for the control, and to start displaying the drag image for the operation. The current screen cursor is captured, and the DragCursor in ImageList is displayed for the operation.

## See also

TDragImageListResolution.Dragging |  | Indicates that BeginDrag has been called for the image resolution.
TDragImageListResolution.EndDrag |  | Removes the drag lock and restores the saved cursor when the drag operation has ended.
TDragImageListResolution.DragLock |  | Shows the Drag image and optionally locks the Window handle during the Drag operation.
TDragImageListResolution.ImageList |  | List with images used in Drag and Drop operations.
TDragImageList.DragCursor |  | The cursor shape to use while dragging.